// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	BadPixelMap.cc --- implementation of BadPixel related classes
//
//	DESCRIPTION:
//
//	CHANGE HISTORY:
//		UL, 2001-03-22: 1.0.0: - first version (from BadPixelDataServer.cc in
//								 CAL)
//
//	AUTHOR:
//		U. Lammers, Thu Mar 22 18:52:45 MET 2001
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/BadPixelMap.cc,v 1.5 2004/08/04 12:18:14 rsaxton Exp $
//

#include <functional>	//	binders
#include <algorithm>
#include <cmath>

#include "CalOalUtility.h"
#include "BadPixelMap.h"

using namespace CalOalUtility;

//
//	--------------------------( BadPixelMap )-----------------------------
//
const BadPixel *BadPixelMap::isPixelBad(const PixelLocation &where) const
{
	BadPixelMapType::const_iterator i = find(where);

	if (i != end())
		//	yes, this is a bad pixel
		return &(*i).second;

	return static_cast<BadPixel *>(0);	//	no pixel is not bad
} // BadPixelMaps::isPixelBad

