// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	DalUtils.h --- some high-level Dal utility functions
//
//	DESCRIPTION:
//		Classes in here implement simple Dal utility functions.
//		Might be moved to a central repository for these kind of things
//		in the SAS at a later stage
//
//	CHANGE HISTORY:
//		UL, 1999-04-19: 1.0.0: - first version
//
//	AUTHOR:
//		U. Lammers, Mon Apr 19 10:30:29 MET DST 1999
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al.,
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/DalUtils.h,v 1.3 2004/08/04 12:18:14 rsaxton Exp $
//

#ifndef DAL_UTILS_H
#define DAL_UTILS_H

#include <string>
#include "Dal.h"

namespace DalUtils {

	class AttributeNotFound {};

	const Attribute *attribute(const std::vector<const Attributable *>
																	&attribVec,
							   const std::string &attribName);

} // DalUtils

#endif
