// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/*-----------------------------------------------------------------------------
 *
 *						XMM Science Analysis System (SAS)
 *					   (c) 1997 - 2010 European Space Agency
 *
 *-----------------------------------------------------------------------------
 *
 *	xmm.h	--- C I/F to Xmm class
 *
 *	DESCRIPTION:
 *		See Xmm.h
 *
 *	CHANGE HISTORY:
 *		UL, 2001-05-10: 1.0.0: - first version
 *
 *	AUTHOR:
 *		U. Lammers,	Thu May 10 14:10:42 MET DST 2001
 *
 *	REFERENCES:
 *		[1]: Software Specification Document for the XMM Science Analysis
 *			 Subsystem, M. Dahlem et. al.,
 *
 *	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/xmm.h,v 1.3 2004/08/04 12:18:14 rsaxton Exp $
 */

#ifndef XMM_C_H
#define XMM_C_H

#include "common.h"
#include "stime_c.h"

#if defined(__cplusplus)
extern "C" {
#endif

STimeHandle XMM_missionReferenceTime();	/* XMM mission reference time	*/
STimeHandle XMM_missionStartTime();		/* when the adventure begun		*/
STimeHandle XMM_missionEndTime();		/* when it is supposed to end	*/

#if defined(__cplusplus)
}
#endif

#endif
