// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	stringpool: test the StringPool class
//
//	UL, Fri May 29 18:04:00 MET DST 1998
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/test/stringpool.cc,v 1.5 2009/06/23 13:46:02 aibarra Exp $
//

#include <iostream>
#include <string>
#include "StringPool.h"

int main(int argc, char **argv)
{
	const char *opts[] = { "infile",
						   "outfile",
						   "expression",
						   "filterpersist",
						   "destructive",
						   "flagcolumn",
						   "flagbit",
						   "energycol",
						   "imgfile",
						   "imgbinsize",
						   "xcol",
						   "ycol",
						   "specfile",
						   "specbinsize",
						   "specminchan",
						   "specmaxchan",
						   "ratesfile",
						   "clobber",
						   "mode",
						   0 };

	StringPool pool(opts);

	unsigned nPos = 0;
	--argc; ++argv;
	for (int n=0; n<argc; ++n) {
		std::string arg(argv[n]);
		std::string parmName(pool[nPos]),
			   parmVal(arg);
		std::string::size_type p;
		if ((p = arg.find("=")) != std::string::npos) {
			//
			//	"param=value" given
			//
			parmName = pool.expand(arg.substr(0, p));
			parmVal = arg.substr(p+1, arg.length()-p-1);
		} else
			//
			//	positional parameter
			//
			++nPos;
		std::cout<<parmName<<"="<<parmVal<<" ";
	}
	std::cout<<std::endl;

	return 0;
} // main()

